﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SolverInterface;

namespace TSPSolverGA
{
    public class City : TSP.Algorithm.City, ICity
    {
        private readonly string _name;

        public City(double latitude, double longitude, string name)
            : base(latitude, longitude)
        {
            _name = name;
        }

        public City(ICity icity)
            : base(icity.Latitude, icity.Longitude)
        {
            _name = icity.Name;
        }

        public string Name
        {
            get { return _name; }
        }
    }
}
